Subject: Won't make it to Oslo

From: Michael Smith <[email-masked]>
Date: Sat, 10 Jul 1999 23:50:50 -0400

A most unfortunate last-minute snafu here 
will prevent me from attending the Oslo IETF, 
grrr. 

Of all the remaining open issues as between the
Jack/Mayank draft and mine, the one which 
I regard as most important is the matter of not 
creating a context object until _all_ the information 
relevant to mechanism selection (including 
credential, anonymity, mutual, and all the 
other numerous parameters of Init_security_context)
is available. A phone conversation with Mayank last
week revealed to me how poor a job I've done of
explaining this problem.  

There are, basically, three ways to solve it: 

1) Something analogous to our GSSContextHatchery; 

2) A holder class for parameters, instantiated by 
the caller and passed to the factory method that 
returns a context object;

3) An intermediate object, instantiated by the factory 
method, which then accumulates parameters and selects 
a mechanism when they're all available. This intermediate
object continues to be, as far as the calling application 
is concerned, the "context" object, although it has no 
function once context creation is complete and merely serves
as a "passthrough," an otiose middleman. This is the approach 
implied, at present, by Jack and Mayank's proposal. 

I really don't like 3), particularly since it complicates 
the SPI undertaking, and think that 1) is marginally better
than 2), although either one does make one more thing 
for the application programmer to keep track of, unfortunately. 

One other note: 

In connection with the question of whether the GSS API should 
be "free-standing" or (contrariwise) depend on other packages, 
I note that Jack and Mayank have elected to have their IGSSName
extend java.security.Principal. The WG may want to consider the 
tradeoffs in this, particularly for applet writers who cannot
(at this stage of the game) afford to make a lot of assumptions
about what is present in the local run-time environment. 

Happy rough-consensing, everybody. I'll be thinking of you as I 
swelter in the New York subway. 

--Michael Smith
  [email-masked]

==========================================================================
This message was posted through the Stanford campus mailing list
server.  If you wish to unsubscribe from this mailing list, send the
message body of "unsubscribe ietf-cat-wg" to [email-masked]